> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cycle

This endpoint returns a single pay cycle, by its ID.

* `Closed` - The cycle is closed, no moe withdrawals can be made, and you can now perform your final deductions/accounting.
* `Open` - The cycle is open, members can still make withdrawals.


## OpenAPI

````yaml GET /v1/pay/cycles/{id}
openapi: 3.0.2
info:
  title: BMO Partner API
  version: v1
servers:
  - url: https://api.onsi.com
    description: Production
  - url: https://api.onsi.dev
    description: Sandbox
security:
  - apiKey: []
paths:
  /v1/pay/cycles/{id}:
    get:
      tags:
        - pay
      summary: Show pay cycle
      operationId: getPayCycle
      parameters:
        - name: id
          in: path
          description: The unique identifier for a PayCycle, prefixed with pc_
          required: true
          schema:
            example: pc_<id>
            type: string
      responses:
        '200':
          description: >-
            A pay cycle is a period of time pay is made available for members to
            withdraw
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayCycle'
components:
  schemas:
    PayCycle:
      title: PayCycle
      description: >-
        A pay cycle is a period of time pay is made available for members to
        withdraw
      type: object
      properties:
        id:
          example: pc_<id>
          description: The unique identifier for a PayCycle, prefixed with pc_
          type: string
        startDate:
          description: Date in ISO8601 `YYYY-MM-DD` format
          example: '2024-01-01'
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        endDate:
          description: Date in ISO8601 `YYYY-MM-DD` format
          example: '2024-01-15'
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        status:
          type: string
          enum:
            - Open
            - Closed
      required:
        - id
        - startDate
        - endDate
        - status
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````